Skip to main content
PUT
/
payment-plans
/
{id}
Update a Payment Plan
curl --request PUT \
  --url https://api.flutterwave.com/v3/payment-plans/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Another Plan",
  "status": "active"
}
'
{
  "status": "success",
  "message": "Payment plan updated",
  "data": {
    "id": 3807,
    "name": "akhlm postman update",
    "plan_token": "rpp_12d2ef3d5ac1c13b9d30",
    "status": "active",
    "currency": "NGN",
    "amount": 5000,
    "duration": 48,
    "interval": "monthly",
    "created_at": "2020-01-16T18:08:19.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
status
string
required

Response

OK

status
string
required
message
string
required
data
Data65 · object
required
Example:
{
"id": 3807,
"name": "the akhlm postman plan 2",
"amount": 5000,
"interval": "monthly",
"duration": 48,
"status": "active",
"currency": "NGN",
"plan_token": "rpp_12d2ef3d5ac1c13b9d30",
"created_at": "2020-01-16T18:08:19.000Z"
}